/* boton menu tipo burger */

.menu-btn__wraper {
  position:relative;
  display:flex;
  justify-content: center;
  align-items: center;
  margin-left:10px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  transition: all .5s ease-in-out;
}

.menu-btn__burger {
  width: 30px;
  height: 3px;
  border-radius:5px;
  transition: all .5s ease-in-out;
  background-color: var(--gris-oscuro);
}

.menu-btn__burger::before,
.menu-btn__burger::after {
  content:'';
  position:absolute;
  border-radius:5px;
  width: 30px;
  height: 3px;
  transition: all .5s ease-in-out;
  background-color: var(--gris-oscuro);
}

.menu-btn__burger::before {
  transform: translateY(-8px);
}

.menu-btn__burger::after {
  transform: translateY(8px);
}

.trw_ms_tr {
  display:flex;
  align-items: center;
  width: 100%;
  height: 100%;
  gap:1em;
}

.trw_ms_td {
  margin: 0;
  width: 100%;
}

.ms_marco {
  margin: 0;
  border: 0;
  padding: 0;
}

.ms_opcion,
.ms_opcion_selec,
.ms_opcion:hover {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: .1em .7em;
  margin: 0;
  white-space: nowrap;
  transition:all .1s ease-in-out;
  color: var(--negro);
}

.ms_opcion_selec,
.ms_opcion:hover {
  transition:all .1s ease-in-out;
  background-color: var(--negro);
  color:var(--blanco);
}


.subms_capa {
  display:block;
  margin-top:.5em;
  padding:.5em;
  padding-bottom: 0;
  background-color: #fff;
  border-radius:5px;
}

.subms_capa .trw_ms {
  width: 100%;
}


.subms_capa .trw_ms .trw_ms_tr:hover {

}

.ms_subopcion,
.ms_subopcion_over,
.ms_subopcion_selec,
.ms_subopcion_selec_over {
  position:relative;
  font-size:11px;
  padding:.5em;
  margin:.5em 0;
  text-transform: none;
  transition:all .1s ease-in-out;
}

.ms_subopcion_over,
.ms_subopcion_selec,
.ms_subopcion_selec_over {
  color:#fff;
  background-color: #000;
}

.ms_subopcion_selec {
  background-color: var(--gris-oscuro);
  color:var(--blanco);
}

.ms_subopcion::before,
.ms_subopcion_over::before {

}

.subms_capa .trw_ms .trw_ms_tr {
  box-sizing: border-box;
  border-top:1px solid #000;
}


/* primer elemento de submenú */
.subms_capa .trw_ms_tr:first-of-type {
  border-top: 0;
}

/* Menu lateral */
.look-bmenu2 {
  position:fixed;
  top:0;
  left:0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,.5);
  z-index:100;
}


.look_menu_lateral {
  position:fixed;
  top:0;
  left:0;
  width:77%;
  max-width: 400px;
  height: 100%;
  z-index: 200;
  box-shadow: 2px 0px 5px rgba(0,0,0,.5);
  transform:translate(-105%);
  transition: all .3s ease-out;
  overflow-y: auto;
  background-color: var(--blanco);
}

.look_menu_lateral.open {
  transform:translate(0);
}

.look_menu_lateral .ms_marco {
  padding: 0;
  /* border-top: 1px solid var(--negro)55; */
}

#look_menu_lateral_cab {
  padding: 1em;
  margin-bottom:1em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

#look_menu_lateral_cab img {
  max-height: 6.5em;
  will-change: transform;
  transform: translateZ(10px);
}

#look_menu_lateral_cab .CRS_0_marco {
  padding: 0;
  height: initial;
}

.look_menu_lateral .CRS_0_marco {
  padding: 0 0 0 0.7em;
}
.look_menu_lateral .CRS_svg {
  box-sizing: border-box;
  width: 3em;
  height: 3em;
  fill: var(--negro);
}

.menu-movil__accions {
  margin-top:3em;
}

.menu-movil__accions a {
  color:var(--negro);
}

.menu-movil__login,
.menu-movil__compra {
  display:flex;
  align-items: center;
  padding:.5em 1em;
  font-size:15px;
  font-weight: bold;
  text-transform: uppercase;
  color:var(--negro);
}

.menu-movil__login::before,
.menu-movil__compra::before {
  content: "";
  display: inline-block;
  background-repeat: no-repeat;
  background-position:center;
  background-size: contain;
  width: 1.5em;
  height: 1.5em;
  margin-right: 0.5em;
  font-size:1em;
}

.menu-movil__login::before {
  background-image: url('https://dianeonlooker.es/arquivo/plantilla/login-0.svg');
}

.menu-movil__compra::before {
  background-image: url('https://dianeonlooker.es/arquivo/plantilla/carro-0.svg');
}

@media only screen and (max-width: 888px) {

  .CRS_0_marco > a {
    display:block;
  }

  .subms_capa {
    position: initial;
    min-width: initial;
    margin:0;
    background-color: initial;
    box-shadow: initial;
  }

  .subms_capa .trw_ms .trw_ms_tr {
    border:none;
  }

  .ms_marco {
    width: 100%;
  }

  .trw_ms_tr {
    box-sizing: border-box;
    flex-direction: column;
    gap:0;
  }

  .trw_ms_td {
    margin: initial;
    /* border-bottom: 1px solid var(--gris-oscuro)55; */
  }

  .trw_ms_td > div:nth-child(1) {
    display: flex;
    align-items: center;
   /*  border-bottom:1px solid var(--negro)55; */
  }

  .trw_ms_td .trw_ms_td  {
    border-bottom: 0;
  }

  .ms_opcion_selec,
  .ms_opcion:hover {
    font-weight: bold;
    background-color: var(--blanco);
    color:var(--negro);
}

  .ms_opcion,
  .ms_opcion_selec,
  .ms_opcion:hover {
    text-transform: uppercase;
    font-size: 15px;
    text-align: left;
    padding: 1em 0;
  }

  .ms_opcion:hover {
    font-weight: normal;
  }

  .ms_subopcion,
  .ms_subopcion_over,
  .ms_subopcion_selec,
  .ms_subopcion_selec_over {
     font-size: 13px;
     margin:.5em 1.5em;
  }

  .ms_subopcion_over,
  .ms_subopcion_selec,
  .ms_subopcion_selec_over {
    color:var(--negro);
    background-color:var(--blanco);
  }

  .ms_v {
    display:block;
    margin-right: 5px;
    margin-bottom: 2px;
    margin-left:5px;
    font-size:18px;
    text-align: left;
  }
}
